torqee Developers
Api reference/Webhooks

Get a webhook endpoint

GET
/api/v1/webhooks/{id}
AuthorizationBearer <token>

OAuth 2.1 authorization code flow with PKCE. Audience must be the connect URL.

In: header

Scope: torqee:webhooks:read

Path Parameters

idstring
Length1 <= length

Response Body

curl -X GET "https://connect.torqee.app/api/v1/webhooks/string"
fetch("https://connect.torqee.app/api/v1/webhooks/string")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://connect.torqee.app/api/v1/webhooks/string"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://connect.torqee.app/api/v1/webhooks/string"

response = requests.request("GET", url)

print(response.text)
{
  "id": "string",
  "name": "string",
  "url": "http://example.com",
  "filters": [
    {
      "type": "session.created",
      "sessionId": "string"
    }
  ],
  "enabled": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": "unauthorized"
}
{
  "error": "insufficient_scope"
}
{
  "error": "not_found"
}
{
  "error": "internal_server_error"
}